Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class TimeInForceFactory

    java.lang.Object
      com.fxcm.fix.TimeInForceFactory

    public class TimeInForceFactory

extends Object

Specifies how long the order remains in effect.

Field Summary
`static ITimeInForce` | `DAY` An order that if not executed expires at the end of the trading day on which it was entered.
`static ITimeInForce` | `FILL_OR_KILL` An order that immediately fills the complete quantity or rejects
`static ITimeInForce` | `GOOD_TILL_CANCEL` An order that stays open until full filled or cancelled by user
`static ITimeInForce` | `GOOD_TILL_DATE` An order that if not executed expires at the end of the trading day specified
`static ITimeInForce` | `IMMEDIATE_OR_CANCEL` An order that immediately fills as much quantity as possible rejecting any oustanding that were not filled

Constructor Summary
`TimeInForceFactory()`

Method Summary
`static ITimeInForce` | `toCode(String aCode)` Converts a status code to a fix object
`static ITimeInForce` | `toCodeByLabel(String aCode)` Converts a status code to a fix object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DAY

    public static final ITimeInForce DAY

  An order that if not executed expires at the end of the trading day on which it was entered.

### GOOD_TILL_CANCEL

    public static final ITimeInForce GOOD_TILL_CANCEL

  An order that stays open until full filled or cancelled by user

### IMMEDIATE_OR_CANCEL

    public static final ITimeInForce IMMEDIATE_OR_CANCEL

  An order that immediately fills as much quantity as possible rejecting any oustanding that were not filled

### FILL_OR_KILL

    public static final ITimeInForce FILL_OR_KILL

  An order that immediately fills the complete quantity or rejects

### GOOD_TILL_DATE

    public static final ITimeInForce GOOD_TILL_DATE

  An order that if not executed expires at the end of the trading day specified

Constructor Detail

### TimeInForceFactory

    public TimeInForceFactory()

Method Detail

### toCode

    public static ITimeInForce toCode(String aCode)

  Converts a status code to a fix object

  Parameters:
    `aCode` - ``TIMEINFORCE_*``

### toCodeByLabel

    public static ITimeInForce toCodeByLabel(String aCode)

  Converts a status code to a fix object

  Parameters:
    `aCode` - ``TIMEINFORCE_*``

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.